org.eclipse.emf.compare.rcp.ui.mergeviewer.item.provider

## Interface IMergeViewerItemContentProvider

All Superinterfaces:
  IOptionalProvider

All Known Implementing Classes:
  ResourceAttachmentChangeProvider, TreeMergeViewerItemContentProvider

    public interface IMergeViewerItemContentProvider
    extends IOptionalProvider

Interface for specialized `tree content providers` for the comparison content merge viewer.

Since:
  4.4

### Method Summary

All Methods Instance Methods Abstract Methods
`Object[]` `getChildren(Object object, IMergeViewerItemProviderConfiguration configuration)` Determine the children of the given `object`
`Object` `getParent(Object object, IMergeViewerItemProviderConfiguration configuration)` Determine the parent of the given `object`.
`boolean` `hasChildren(Object object, IMergeViewerItemProviderConfiguration configuration)` Indicates whether the given `object` has children.

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.item.provider.IOptionalProvider

`canHandle`

### Method Detail

#### getParent

    Object getParent(Object object,
                     IMergeViewerItemProviderConfiguration configuration)

Determine the parent of the given `object`.

Parameters:
  `object` - the `Object` for which the parent is to be determined.
  `configuration` - the `IMergeViewerItemProviderConfiguration`.
Returns:
  the determined parent object, `null` if there is none.

#### getChildren

    Object[] getChildren(Object object,
                         IMergeViewerItemProviderConfiguration configuration)

Determine the children of the given `object`

Parameters:
  `object` - the `Object` for which the children are to be determined.
  `configuration` - the `IMergeViewerItemProviderConfiguration`.
Returns:
  an array with the determined children, an empty array if there are none.

#### hasChildren

    boolean hasChildren(Object object,
                        IMergeViewerItemProviderConfiguration configuration)

Indicates whether the given `object` has children.

Parameters:
  `object` - the `Object` for which it is indicated whether it has children.
  `configuration` - the `IMergeViewerItemProviderConfiguration`.
Returns:
  `true` if the given object has children, `false` otherwise.